diff -pruN 1.0.0.dfsg-1.2/debian/changelog 1.0.0.dfsg-1.2ubuntu1/debian/changelog
--- 1.0.0.dfsg-1.2/debian/changelog	2013-12-01 23:16:47.000000000 +0000
+++ 1.0.0.dfsg-1.2ubuntu1/debian/changelog	2015-08-04 10:42:24.000000000 +0000
@@ -1,3 +1,21 @@
+syfi (1.0.0.dfsg-1.2ubuntu1) wily; urgency=medium
+
+  * Rename library packages for g++5 ABI transition.
+
+ -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:42:24 +0100
+
+syfi (1.0.0.dfsg-1.2build2) wily; urgency=medium
+
+  * No change rebuild against libginac5 
+
+ -- Micah Gersten <micahg@ubuntu.com>  Thu, 14 May 2015 00:02:00 -0500
+
+syfi (1.0.0.dfsg-1.2build1) vivid; urgency=medium
+
+  * No-change rebuild against new ginac.
+
+ -- Logan Rosen <logan@ubuntu.com>  Tue, 02 Dec 2014 01:32:52 -0500
+
 syfi (1.0.0.dfsg-1.2) unstable; urgency=low
 
   * Non-maintainer upload.
diff -pruN 1.0.0.dfsg-1.2/debian/control 1.0.0.dfsg-1.2ubuntu1/debian/control
--- 1.0.0.dfsg-1.2/debian/control	2013-12-01 23:16:14.000000000 +0000
+++ 1.0.0.dfsg-1.2ubuntu1/debian/control	2015-08-04 10:42:24.000000000 +0000
@@ -1,7 +1,8 @@
 Source: syfi
 Section: devel
 Priority: extra
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: cdbs (>= 0.4.90~),
  debhelper (>= 7),
@@ -24,7 +25,7 @@ Architecture: any
 Depends: swig2.0,
  ufc (>= 2.0.5),
  python-numpy,
- libsyfi1.0 (= ${binary:Version}),
+ libsyfi1.0v5 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libsyfi0-dev
@@ -64,13 +65,13 @@ Description: Empty package depending on
  This package will always depend on the most recent version of libsyfiX-dev
  (X=version), so if you install it then you will get upgrades automatically.
 
-Package: libsyfi1.0
+Package: libsyfi1.0v5
 Section: libs
 Architecture: any
-Conflicts: syfi
-Replaces: syfi
+Conflicts: libsyfi1.0, syfi
+Replaces: libsyfi1.0, syfi
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: syfi-doc, libsyfi1.0-dbg, python-syfi
+Suggests: syfi-doc, libsyfi1.0v5-dbg, python-syfi
 Description: Finite element method (FEM) C++ library - shared libraries
  The finite element method (FEM) package SyFi is a C++ library built on top of
  the symbolic math library GiNaC. The name SyFi stands for Symbolic Finite
@@ -85,12 +86,12 @@ Description: Finite element method (FEM)
  .
  This package contains the shared libraries.
 
-Package: libsyfi1.0-dbg
+Package: libsyfi1.0v5-dbg
 Section: debug
 Architecture: any
-Depends: libsyfi1.0 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libsyfi0-dbg
-Replaces: libsyfi0-dbg
+Depends: libsyfi1.0v5 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libsyfi1.0-dbg, libsyfi0-dbg
+Replaces: libsyfi1.0-dbg, libsyfi0-dbg
 Provides: libsyfi0-dbg
 Description: Finite element method (FEM) C++ library - debugging libraries
  The finite element method (FEM) package SyFi is a C++ library built on top of
@@ -111,7 +112,7 @@ Section: python
 Architecture: any
 Depends: python-numpy,
  python-swiginac,
- libsyfi1.0 (= ${binary:Version}),
+ libsyfi1.0v5 (= ${binary:Version}),
  ${python:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
diff -pruN 1.0.0.dfsg-1.2/debian/libsyfi1.0.install 1.0.0.dfsg-1.2ubuntu1/debian/libsyfi1.0.install
--- 1.0.0.dfsg-1.2/debian/libsyfi1.0.install	2011-12-21 09:07:55.000000000 +0000
+++ 1.0.0.dfsg-1.2ubuntu1/debian/libsyfi1.0.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/lib*.so.*
diff -pruN 1.0.0.dfsg-1.2/debian/libsyfi1.0v5-dbg.lintian-overrides 1.0.0.dfsg-1.2ubuntu1/debian/libsyfi1.0v5-dbg.lintian-overrides
--- 1.0.0.dfsg-1.2/debian/libsyfi1.0v5-dbg.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0.dfsg-1.2ubuntu1/debian/libsyfi1.0v5-dbg.lintian-overrides	2015-08-04 10:42:24.000000000 +0000
@@ -0,0 +1,2 @@
+# G++5 ABI transition
+libsyfi1.0v5-dbg: package-name-doesnt-match-sonames libsyfi1.0-dbg
diff -pruN 1.0.0.dfsg-1.2/debian/libsyfi1.0v5.install 1.0.0.dfsg-1.2ubuntu1/debian/libsyfi1.0v5.install
--- 1.0.0.dfsg-1.2/debian/libsyfi1.0v5.install	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0.dfsg-1.2ubuntu1/debian/libsyfi1.0v5.install	2015-08-04 10:42:24.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/lib*.so.*
diff -pruN 1.0.0.dfsg-1.2/debian/libsyfi1.0v5.lintian-overrides 1.0.0.dfsg-1.2ubuntu1/debian/libsyfi1.0v5.lintian-overrides
--- 1.0.0.dfsg-1.2/debian/libsyfi1.0v5.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 1.0.0.dfsg-1.2ubuntu1/debian/libsyfi1.0v5.lintian-overrides	2015-08-04 10:42:24.000000000 +0000
@@ -0,0 +1,2 @@
+# G++5 ABI transition
+libsyfi1.0v5: package-name-doesnt-match-sonames libsyfi1.0
